import { InjectorService, ProviderScope, registerProvider } from '@tsed/di';

import * as Electron from 'electron';

import { ElectronApp } from '../decorators/electron-app';

export function createElectronApp(injector: InjectorService): void {
  injector.forkProvider(ElectronApp);
}

registerProvider({
  provide: ElectronApp,
  scope: ProviderScope.SINGLETON,
  global: true,
  useFactory() {
    const app = Electron.app;
    app.allowRendererProcessReuse = true;
    return app;
  }
});
