import log from 'electron-log';
import { AppLoader } from './common/app/app-loader';
import { App } from './app/app';

async function bootstrap() {
  try {
    log.debug('Start app...');
    const app = await AppLoader.bootstrap(App);

    await app.start();
    log.debug('App initialized');
  } catch (er) {
    log.error(er);
  }
}

bootstrap();
